Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 04-01-08, 02:50 AM   #1
Patrick MARION
Registered User
 
Join Date: Apr 2008
Posts: 1
Default Error module ScreenPrivateIndex

I am using Fedora F9 BETA 2.6.25-0.172.rc7.git4.fc9.i686

I have applied NVIDIA_kernel-169.12-2286310.diff.txt to NVIDIA-Linux-x86-169.12-pkg1.run and the compilation with NVIDIA-Linux-x86-169.12-pkg1-custom.run works.

But during starting X I get the following error message et the X serveur does not start

dlopen: /usr/lib/xorg/modules/drivers//nvidia_drv.so: undefined symbol: AllocateScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//nvidia_drv.so
Patrick MARION is offline   Reply With Quote
Old 04-01-08, 02:51 AM   #2
AaronP
NVIDIA Corporation
 
AaronP's Avatar
 
Join Date: Mar 2005
Posts: 2,487
Default Re: Error module ScreenPrivateIndex

The driver does not yet support the development snapshot X servers shipped with Fedora 9.
AaronP is offline   Reply With Quote
Old 05-21-08, 10:20 PM   #3
dannyxyz22
Registered User
 
Join Date: May 2008
Posts: 1
Default Re: Error module ScreenPrivateIndex

Hi guys, I get the same error here with the patched version.
I'm running Fedora Core 9 (the official release, not the Beta one):
Linux localhost.localdomain 2.6.25.3-18.fc9.i686 #1 SMP Tue May 13 05:38:53 EDT 2008 i686 i686 i386 GNU/Linux.
I have a 8600M GT.
My Xorg.0.log is like this:

(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
compiled for 4.0.2, module version = 1.0.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 0.1
(EE) module ABI major version (0) doesn't match the server's version (1)
(II) UnloadModule: "glx"
(II) Unloading /usr/lib/xorg/modules/extensions//libglx.so
(EE) Failed to load module "glx" (module requirement mismatch, 0)
(II) LoadModule: "freetype"

(II) Loading /usr/lib/xorg/modules/fonts//libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
compiled for 1.4.99.901, module version = 2.1.0
Module class: X.Org Font Renderer
ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "dri"

(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
compiled for 1.4.99.901, module version = 1.0.0
ABI class: X.Org Server Extension, version 1.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"

(II) Loading /usr/lib/xorg/modules/extensions//libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
compiled for 1.4.99.901, module version = 1.0.0
ABI class: X.Org Server Extension, version 1.0
(II) Loading extension DRI2
(II) LoadModule: "nvidia"

(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
dlopen: /usr/lib/xorg/modules/drivers//nvidia_drv.so: undefined symbol: AllocateScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//nvidia_drv.so
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (loader failed, 7)
(II) LoadModule: "mouse"

(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
compiled for 1.4.99.901, module version = 1.3.0
Module class: X.Org XInput Driver
ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "kbd"

(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
compiled for 1.4.99.901, module version = 1.3.0
Module class: X.Org XInput Driver
ABI class: X.Org XInput driver, version 2.0
(EE) No drivers available.

Fatal server error:
no screens found

Is there anything I can do for a workaround?
Thank you for you Linux driver support. I know it might be tough
dannyxyz22 is offline   Reply With Quote
Old 06-04-08, 02:51 AM   #4
Tehnik
Registered User
 
Join Date: Jun 2008
Posts: 3
Default Re: Error module ScreenPrivateIndex

I have the same problem with Geforce 2 MX 400 graphics card, the official release of Fedora 9 (Sulphur) and X.Org X Server 1.4.99.901 (1.5.0 RC 1).

After applying the patch NVIDIA_kernel-96.43.05-2290218.diff to NVIDIA-Linux-x86-96.43.05-pkg1.run and running X, I get the following errors in Xorg.0.log:

(EE) module ABI major version (0) doesn't match the server's version (1)

(EE) Failed to load module "glx" (module requirement mismatch, 0)
(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
dlopen: /usr/lib/xorg/modules/drivers//nvidia_drv.so: undefined symbol: AllocateScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//nvidia_drv.so
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (loader failed, 7)


Unfortunately, I can't install xorg-x11-drv-nvidia from Fedora repositary as hardware acceleration is not supported for GeForce2 by this package.
Tehnik is offline   Reply With Quote
Old 06-04-08, 11:58 AM   #5
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: Error module ScreenPrivateIndex

@Tehnik: please see http://www.nvnews.net/vbulletin/showthread.php?t=113974.
zander is offline   Reply With Quote
Old 06-18-08, 09:41 AM   #6
czecz
Registered User
 
Join Date: Jun 2008
Posts: 3
Unhappy Re: Error module ScreenPrivateIndex

hello!

i have
Code:
# cat /etc/fedora-release 
Fedora release 9 (Sulphur)
# lspci  | grep -i VGA
01:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4 MX 440 AGP 8x] (rev a2)
it have 2 VGA outputs: old CRT one and digital one

old CRT works with "nv" driver and i have blurry screen, dvi output doesnt work with "nv" driver.

i used
# sh NVIDIA-Linux-x86-96.43.05-pkg1.run --apply-patch NVIDIA_kernel-96.43.05-2290218.diff.txt
...
Self-extractible archive "NVIDIA-Linux-x86-96.43.05-pkg1-custom.run" successfully created.

as described on http://www.nvnews.net/vbulletin/showthread.php?t=110088
which made me NVIDIA-Linux-x86-96.43.05-pkg1-custom.run

running it produced nvidia kernel module and no errors was found in /var/log/nvidia-installer.log
Code:
# tail -3 /var/log/nvidia-installer.log
-> Your X configuration file has been successfully updated.  Installation of
   the NVIDIA Accelerated Graphics Driver for Linux-x86 (version: 96.43.05) is
   now complete.
now trying to run with startx, leads me to the following error:

Code:
X.Org X Server 1.4.99.902 (1.5.0 RC 2)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.19.el5 i686 
Current Operating System: Linux mator 2.6.25.6-55.fc9.i686 #1 SMP Tue Jun 10 16:27:49 EDT 2008 i686
...
(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
dlopen: /usr/lib/xorg/modules/drivers//nvidia_drv.so: undefined symbol: AllocateScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//nvidia_drv.so
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (loader failed, 7)
can someone fix driver or make "nv" driver work over DVI connector? Thanks


PS: DVI output works fine with NOUVEAU driver, but firefox (Xorg?) rendering seems to be very very slow....
czecz is offline   Reply With Quote
Old 10-12-08, 05:03 PM   #7
czecz
Registered User
 
Join Date: Jun 2008
Posts: 3
Default Re: Error module ScreenPrivateIndex

still waiting for new release.

ps: and not only me
http://www.nvnews.net/vbulletin/showthread.php?t=116555
czecz is offline   Reply With Quote
Old 09-27-10, 03:59 AM   #8
madex
Registered User
 
Join Date: Sep 2010
Posts: 1
Exclamation Re: Error module ScreenPrivateIndex

I have the same problem on Ubuntu 10.04 and RIVA TNT2.

(II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
dlopen: /usr/lib/xorg/modules/drivers/nvidia_drv.so: undefined symbol: AllocateScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers/nvidia_drv.so
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (loader failed, 7)
(EE) No drivers available.

How to solve it? thanks.
madex is offline   Reply With Quote

Old 09-27-10, 12:15 PM   #9
Dragoran
Registered User
 
Join Date: May 2004
Posts: 711
Default Re: Error module ScreenPrivateIndex

Quote:
Originally Posted by madex View Post
I have the same problem on Ubuntu 10.04 and RIVA TNT2.

(II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
dlopen: /usr/lib/xorg/modules/drivers/nvidia_drv.so: undefined symbol: AllocateScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers/nvidia_drv.so
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (loader failed, 7)
(EE) No drivers available.

How to solve it? thanks.
You have three options:

1) Buy a newer card
2) Use nv/nouveau
3) Downgrade X and the kernel

I'd recommend 1)

(This driver will not be updated by nvidia to work with newer xserver/kernel releases).
Dragoran is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 11:55 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.